#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,Q,l,r;
    cin >> N;
    vector<int> A(N);

    for(int i=0; i<N; i++){
        cin >> A[i];
    }

    cin >> Q;
    for(int i=0; i<Q; i++){
        int br = 0;
        cin >> l >> r;
        bool izbrisan = false;
        for(int j=l-1;j<r-1;j++){
            if(A[j]<=A[j+1]){
                br++;
            }
            else if(A[j]>A[j+1] && izbrisan == false){
                izbrisan = true;
                br++;
            }
        }
        if(br == r-l){
            cout << "DA" <<"\n";
        }
        else{
            cout << "NE" <<"\n";
        }
    }
    return 0;
}